.sidebar-sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    height: 100vh;
    overflow-y: auto;
}

.size-mobile {
    max-width: 300px;
    min-width: 300px;
}


.size-mobile-two {
    max-width: 300px;
    min-width: 300px;
}

/* Media query para telas menores (como celulares) */
@media screen and (max-width: 768px) {
    .size-mobile-two {
        max-width: 100%;
        min-width: 100%;
        width: 100%;
    }
}


.border-pc {

    border: 1px solid #9ec6e3;
}

/* Media query para telas menores (como celulares) */
@media screen and (max-width: 768px) {
    .border-pc {

        border: 1px solid #dee2e6;


    }
}

.img-curso-home {
    width: 246px;
    height: 137px;
    object-fit: cover;
}

.size-mobile-child {
    width: 300px;
    box-sizing: border-box;
}

.bg-origem {
    background-image: linear-gradient(272deg, #0082d8 10%, #001244 50%, #142268 100%);

}

.bg-origem-normal {
    background-color: #142268;

}

.bg-origem-normal-pt2 {
    background-color: #0082d8;

}

.bg-origem-normal-pt2:hover {
    background-color: gray;

}

.bg-origem-dark {
    background-color: #004D80;
}


.img-pequena {
    width: 50px;
    height: 50px;
    object-fit: cover;
    border-radius: 50%;
    margin-right: 10px
}

.img-pequena-two {
    width: 80px;
    height: 80px;
    object-fit: cover;
    border-radius: 4px;
    margin-right: 10px
}

.img-curso-espec {
    width: 70px;
    height: 70px;
    object-fit: cover;
    border-radius: 50%;
    margin-right: 10px
}

.img-curso-espec-two {
    width: 90px;
    height: 90px;
    object-fit: cover;
    border-radius: 10%;
}

.cont-principal {
    margin-left: auto;
    margin-right: auto;
    margin-top: 55px;
}

.cardcategoria {
    text-align: center;
    display: inline-block;
    margin: auto;
    width: 300px;
    height: auto;
    margin-bottom: 10px;
}


.imgapppropa {

    height: inherit;
    width: inherit;
    object-fit: cover;
    object-position: center;
    border-radius: 10px;


}

.socialbox {
    display: inline-block;
    text-align: center;
    width: 300px;
    height: 360px;
    margin: clamp(0vw, 1.5vw, 10rem);
    background-color: #ffffff;
    vertical-align: middle;
}


/* Estilos para telas pequenas (até 576px) */

@media (max-width: 576px) {
    .cont-principal {
        max-width: 100%;
    }
}


/* Estilos para telas médias e maiores (a partir de 768px) */

@media (min-width: 768px) {
    .cont-principal {
        max-width: 1300px;
        /* max-width: 100%; */
    }
}


/* ProgressBar */

#barraProgress {
    position: fixed;
    top: 0px;
    left: 290px;
    width: calc(100% - 290px);
    z-index: 1000;
}

/* Ajustando para telas pequenas */

@media (max-width: 766px) {
    #barraProgress {
        left: 50%;
        width: 100%;
        top: 52px;
        max-width: none;
        /* Removendo a limitação de largura máxima para telas pequenas */
        transform: translateX(-50%);
    }
}

#propafixed {
    position: absolute;
    top: 0px;
    left: 290px;
    width: calc(100% - 290px);
    z-index: 1000;
}

@media (max-width: 766px) {
    #propafixed {
        left: 50%;
        width: 100%;
        top: 52px;
        max-width: none;
        /* Removendo a limitação de largura máxima para telas pequenas */
        transform: translateX(-50%);
    }
}


#footerfix {
    position: fixed;
    bottom: 0px;
    left: 290px;
    width: calc(100% - 290px);
    z-index: 1000;
}





#footerfix {
    position: fixed;
    bottom: 0px;
    left: 290px;
    width: calc(100% - 290px);
    z-index: 1000;
}

/* Ajustando para telas pequenas */

@media (max-width: 766px) {
    #footerfix {
        left: 50%;
        width: 100%;

        max-width: none;
        /* Removendo a limitação de largura máxima para telas pequenas */
        transform: translateX(-50%);
    }
}


/* ProgressBar */

.pai-flex {
    padding: 0.5rem;
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.pointerok {
    cursor: pointer;
}

.color-violet {
    color: darkviolet;
}

.color-green-forest {
    color: #127d00;
}

.quizok {
    --bs-focus-ring-color: green;
}

.quizbad {
    --bs-focus-ring-color: red;
}

.custom-offcanvas {
    max-width: 320px;
    /* Define a largura máxima desejada */
}




.btn-grad {
    margin: 10px;
    padding: 12px 15px;
    text-align: center;
    text-transform: uppercase;
    transition: 0.5s;
    background-size: 200% auto;
    color: white;
    box-shadow: 0 0 20px #eee;
    border-radius: 10px;
    display: block;
    background-color: #0093E9;
    background-image: linear-gradient(272deg, #013fcd 0%, #00c4f5 100%);
    animation: smooth-gradient 3s ease infinite;
}

@keyframes smooth-gradient {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}


.imgrps {
    max-width: 400px;
    margin: auto;
}



@media (max-width: 766px) {
    .imgrps {
        max-width: 300px;
        margin: auto;
    }
}

.w-85 {
    width: 85%;
}

#barrapromo {
    position: fixed;
    bottom: 0px;
    width: calc(100%);
    z-index: 1000;
    text-align: center;
    margin: auto;
}

/* Ajustando para telas pequenas */




/* Define os estilos para telas menores que 700px */
@media (max-width: 700px) {
    .width-hybrid {
        max-width: 300px;
    }
}

/* Define os estilos para telas maiores que 800px */
@media (min-width: 800px) {
    .width-hybrid {
        max-width: 800px;
        /* ou outro valor maior */
    }
}

.bg-nativo {

    background-color: #0093E9;
    background-image: linear-gradient(160deg, #0012e9 0%, #00d7f9 100%);
}